Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.ejb.api
Interface RuntimeDataServiceEJBLocal

All Superinterfaces:
  DeploymentEventListener, RuntimeDataService

All Known Implementing Classes:
  RuntimeDataServiceEJBImpl

    public interface RuntimeDataServiceEJBLocal

extends RuntimeDataService, DeploymentEventListener

Nested Class Summary

Nested classes/interfaces inherited from interface org.jbpm.services.api.RuntimeDataService
`RuntimeDataService.EntryType`

Method Summary

Methods inherited from interface org.jbpm.services.api.RuntimeDataService
`getNodeInstanceForWorkItem, getProcessById, getProcesses, getProcessesByDeploymentId, getProcessesByDeploymentIdProcessId, getProcessesByFilter, getProcessIds, getProcessInstanceById, getProcessInstanceFullHistory, getProcessInstanceFullHistoryByType, getProcessInstanceHistoryActive, getProcessInstanceHistoryCompleted, getProcessInstances, getProcessInstances, getProcessInstancesByDeploymentId, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessId, getProcessInstancesByProcessName, getTaskById, getTaskByWorkItemId, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksOwned, getTasksOwnedByExpirationDateOptional, getTasksOwnedByStatus, getVariableHistory, getVariablesCurrentState`

Methods inherited from interface org.jbpm.services.api.DeploymentEventListener
`onDeploy, onUnDeploy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.